# FlyFish快速开发框架
经过长期积累后实现的快速开发框架，可用于任何业务快速开发上线
兼容各种场景和复杂的封装
基于Spring Webflux和最新的2.6.1版本Spring Boot，支持全异步模式（mysql使用r2dbc）

☺ 化繁为简，享受轻盈自在

# 框架兼容性
- 基于JDK1.8 + 
- 基于MongoDB（可动态切换Mysql）
- 基于模块化CRUD
- 支持BIO模型和完全NIO响应式编程（Webflux）

# 框架特性
- 支持一个注解快速启动和集成应用
- 支持面向模型的注解式开发，无需MVC层
- 支持frontless开发模式，无需编写前端页面
- 支持企业级权限方案和完整的多租户支持
- 支持简单的工作流
- 支持文件和媒体上传下载功能
- 支持低代码表单设计和在线开发
- 独立解耦的日志模块
- 支持系统备份，备份管理和一键恢复
- 支持字典值的注解式应用和前端声明式应用

# 特色功能
## 一、独有的运行时编译
本框架实现了运行时动态生成和编译MVC层代码，基于继承的方式，已为您实现了绝大多数CRUD方法，
甚至兼容了`审计字段`，`树形支持`，`权限和租户支持`，您可以在实体类的注解上进行声明，即可享受到功能的便捷。

# 框架快速开始
## "小霸王"注解 @FlyfishApplication
使用小霸王注解，您可以实现一个注解快速启动服务，一个注解即可定制您的程序，比Spring Boot更快捷！

# 框架宗旨
实现零配置上手成本，完全专注您的业务，无需担心技术瓶颈
