package dev.flyfish.framework.backup.domain;

import dev.flyfish.framework.annotations.Property;
import lombok.Data;

import java.time.LocalDateTime;

/**
 * 版本号实体
 *
 * @author wangyu
 */
@Data
public class Version {

    @Property("版本号")
    private String version;

    @Property("下载地址")
    private String payload;

    @Property("安装脚本")
    private String script;

    @Property("创建时间")
    private LocalDateTime time;
}
