package dev.flyfish.framework.file.domain;

import dev.flyfish.framework.annotations.Entity;
import dev.flyfish.framework.annotations.Property;
import dev.flyfish.framework.domain.base.AuditDomain;
import lombok.*;

@Entity(table = "t_attachment", collection = "attachments")
@Getter
@Setter
@AllArgsConstructor
@NoArgsConstructor
@Builder
@Property(key = "name", value = "附件名称")
public class Attachment extends AuditDomain {

    /**
     * 大小
     */
    private String size;

    /**
     * 附件路径
     */
    private String path;

    /**
     * 附件Url
     */
    private String url;
}
