package dev.flyfish.framework.user.annotations;

import dev.flyfish.framework.user.config.WebSecurityConfig;
import dev.flyfish.framework.configuration.redis.EnableReactiveRedis;
import org.springframework.context.annotation.Import;

import java.lang.annotation.*;

/**
 * 启用自动security配置
 *
 * @author wangyu
 */
@Retention(RetentionPolicy.RUNTIME)
@Target({ElementType.TYPE})
@Documented
@Import(WebSecurityConfig.class)
@EnableReactiveRedis
public @interface EnableAutoSecurity {
}
