package dev.flyfish.framework.r2dbc.domain;

import dev.flyfish.framework.r2dbc.domain.reference.TestAsso;
import dev.flyfish.framework.r2dbc.domain.reference.TestChild;
import dev.flyfish.framework.r2dbc.domain.reference.TestOther;
import dev.flyfish.framework.relational.mapping.Association;
import lombok.Data;
import org.springframework.data.annotation.Reference;
import org.springframework.data.relational.core.mapping.Column;

import java.util.List;

@Data
public class TestDTO {

    private String otherId;

    private TestAsso asso;

    private TestOther other;

    private List<TestOther> others;

    private List<TestChild> children;
}
